Skip to main content
`Ctrl`+`K`

# DMPlexTopologyLoad

Loads a topology into a `DMPLEX`

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexTopologyLoad(DM dm, PetscViewer viewer, PetscSF *globalToLocalPointSF)

Collective

## Input Parameters

- dm - The `DM` into which the topology is loaded

- viewer - The `PetscViewer` for the saved topology

## Output Parameter

- globalToLocalPointSF - The `PetscSF` that pushes points in [0, N) to the associated points in the loaded `DMPLEX`, where N is the global number of points; `NULL` if unneeded

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMLoad()`, `DMPlexCoordinatesLoad()`, `DMPlexLabelsLoad()`, `DMView()`, `PetscViewerHDF5Open()`, `PetscViewerPushFormat()`, `PetscViewer`, `PetscSF`

## Level

advanced

## Location

src/dm/impls/plex/plex.c

## Examples

src/ts/tutorials/ex30.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages